package at.acdp.urweb.sclient.data;

import java.io.DataInputStream;
import java.io.IOException;

//49 byte
public class JointData implements IRead{
    double qActual;
    double qTarget;
    double qdActual;
    float lActual;
    double vActual;
    float tMotor;
    double tMicro;
    byte jointMode;

    //TODO: float/double propably wrong
    //total length 41 bytes
    public void read(DataInputStream di, int size) throws IOException {
        qActual=di.readDouble();
        qTarget=di.readDouble();
        qdActual=di.readDouble();
        lActual=di.readFloat();
        vActual=di.readFloat();
        tMotor=di.readFloat();
        tMicro=di.readFloat();
        jointMode=di.readByte();
    }
}
